Bug 140253 - r128 (Rage 128) corrupts virtual consoles on X restart
r128 (Rage 128) corrupts virtual consoles on X restart
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 15:10 EST by Sitsofe Wheeler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 10:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.90 KB, text/plain)
2005-01-14 14:00 EST, Sitsofe Wheeler
no flags Details
Xorg.0.log (45.15 KB, text/plain)
2005-01-14 14:02 EST, Sitsofe Wheeler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2580 None None None Never

  None (edit)
Description Sitsofe Wheeler 2004-11-21 15:10:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040804 Galeon/1.3.17

Description of problem:
As soon as X is restarted the virtual terminals have horizontal
stripes going across them and no text appears (although the blinking
cursor moves around the screen in the expected fashion as if things
were working correctly).

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Turn the machine on.
2. Let it boot and start X and wait for a login.
3. Press Ctrl-alt-backspace.
4. Press Ctrl-alt-F1.

Actual Results:
Screen with horizontal stipes going across it and a blinking cursor.

Expected Results:
Normal virtual terminal login text.

Additional info:
lspci output for the card:
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 RF/SG AGP
Comment 1 Sitsofe Wheeler 2005-01-14 13:59:05 EST
Still seeing this (just in case it matter the kernel is kernel-2.6.10-1.741_FC3)
although I have now realised it is resolution and depth related. The lines don't
happen with resolutions lower than 1400x1050 and will also not occur if the
depth is not 24.

Just for the record the lines appear to be vertical rather than horizontal.
Comment 2 Sitsofe Wheeler 2005-01-14 14:00:27 EST
Created attachment 109791 [details]
xorg.conf
Comment 3 Sitsofe Wheeler 2005-01-14 14:02:34 EST
Created attachment 109792 [details]
Xorg.0.log
Comment 4 Mike A. Harris 2005-02-05 14:45:24 EST
xorg-x11-6.8.1.904 will be released for Fedora Core 3 when 6.8.2
is finalized.  Please try the rawhide xorg-x11 to see if the problem
is resolved in the new release, and provide a status update.

Also, if the problem persists in rawhide xorg-x11, file a bug report
in the X.Org bugzilla at http://bugs.freedesktop.org in the "xorg"
component.  Once your bug report is filed in X.Org bugzilla, paste
the URL here and Red Hat will track the issue in the X.Org tracker,
and review any fixes that become available for consideration in
future updates.

Thanks in advance. 
Comment 5 Mike A. Harris 2005-02-05 14:51:44 EST
Setting status to "NEEDINFO", awaiting upstream bug URL and
rawhide xorg testing results.
Comment 6 Sitsofe Wheeler 2005-02-19 19:39:30 EST
xorg-x11-6.8.1.904 does not resolve the problem. 

Bug filed upstream at https://bugs.freedesktop.org/show_bug.cgi?id=2580
Comment 7 Sitsofe Wheeler 2005-02-19 19:40:47 EST
Note beta bugzilla will not move this bug out of the NEEDINFO state (reported bug).
Comment 8 Mike A. Harris 2005-04-15 10:59:35 EDT
Ok, tracking bug in X.Org bugzilla.

Setting status to "UPSTREAM"

Note You need to log in before you can comment on or make changes to this bug.